org.apache.cassandra.io.util

## Class MmappedSegmentedFile

- java.lang.Object
- - org.apache.cassandra.io.util.SegmentedFile
  - - org.apache.cassandra.io.util.MmappedSegmentedFile

-     public class MmappedSegmentedFile
      extends SegmentedFile

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `MAX_SEGMENT_SIZE`

    - ### Fields inherited from class org.apache.cassandra.io.util.SegmentedFile

      `length, onDiskLength, path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MmappedSegmentedFile(java.lang.String path, long length, org.apache.cassandra.io.util.SegmentedFile.Segment[] segments)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()` Do whatever action is needed to reclaim ressources used by this SegmentedFile.
    `FileDataInput` | `getSegment(long position)`

    - ### Methods inherited from class org.apache.cassandra.io.util.SegmentedFile

      `getBuilder, getCompressedBuilder, getCompressedBuilder, iterator, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAX_SEGMENT_SIZE

          public static long MAX_SEGMENT_SIZE

  - ### Constructor Detail

    - #### MmappedSegmentedFile

          public MmappedSegmentedFile(java.lang.String path,
                              long length,
                              org.apache.cassandra.io.util.SegmentedFile.Segment[] segments)

  - ### Method Detail

    - #### getSegment

          public FileDataInput getSegment(long position)

      Specified by:
        `getSegment` in class `SegmentedFile`
      Returns:
        The segment containing the given position: must be closed after use.

    - #### cleanup

          public void cleanup()

      Description copied from class: `SegmentedFile`
      Do whatever action is needed to reclaim ressources used by this SegmentedFile.
      Specified by:
        `cleanup` in class `SegmentedFile`

Copyright © 2014 The Apache Software Foundation